## com.puppycrawl.tools.checkstyle.checks.annotation
Enum AnnotationUseStyleCheck.TrailingArrayComma

    java.lang.Object
      java.lang.Enum<AnnotationUseStyleCheck.TrailingArrayComma>
          com.puppycrawl.tools.checkstyle.checks.annotation.AnnotationUseStyleCheck.TrailingArrayComma

All Implemented Interfaces:
  Serializable, Comparable<AnnotationUseStyleCheck.TrailingArrayComma>

Enclosing class:
  AnnotationUseStyleCheck

    public static enum AnnotationUseStyleCheck.TrailingArrayComma

extends Enum<AnnotationUseStyleCheck.TrailingArrayComma>

Defines the two styles for defining elements in an annotation.

Author:
  Travis Schneeberger

Enum Constant Summary
`ALWAYS` with comma example
`IGNORE` mixed styles.
`NEVER` without comma example

Method Summary
`static AnnotationUseStyleCheck.TrailingArrayComma` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AnnotationUseStyleCheck.TrailingArrayComma[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALWAYS

    public static final AnnotationUseStyleCheck.TrailingArrayComma ALWAYS

  with comma example

      @SuppressWarnings(value={"unchecked","unused",})

  .

### NEVER

    public static final AnnotationUseStyleCheck.TrailingArrayComma NEVER

  without comma example

      @SuppressWarnings(value={"unchecked","unused"})

  .

### IGNORE

    public static final AnnotationUseStyleCheck.TrailingArrayComma IGNORE

  mixed styles.

Method Detail

### values

    public static AnnotationUseStyleCheck.TrailingArrayComma[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AnnotationUseStyleCheck.TrailingArrayComma c : AnnotationUseStyleCheck.TrailingArrayComma.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AnnotationUseStyleCheck.TrailingArrayComma valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2011. All Rights Reserved.